
Class.tags = author.Author:.String.Comma_2.false;\
             version.Version:.String.Name_Value.false;\
             since.Since:.String.Name_Value.true;\
             see.See Also:.See.Comma_1.false;\
             alias.Alias.String.Name_Value.false;\
             stereotype.Stereotype.String.Name_Value.false;\
             invariants.Invariants.String.Name_Value.false;\
             persistent.Is persistent.Boolean.Name.false;\
             url.URLs:.Url.Comma_1.false;\
             Exclude:deprecated

Operation.tags = param.Parameters:.Param.Column.true;\
                 return.Returns:.String.Name_Value.true;\
                 throws.Throws:.Throws.Column.true;\
                 version.Version:.String.Comma_2.false;\
                 since.Since:.String.Comma_2.true;\
                 see.See Also:.See.Comma_2.false;\
                 stereotype.Stereotype.String.Name_Value.false;\
                 alias.Alias.String.Name_Value.false;\
                 input.Input.String.Name_Value.false;\
                 output.Output.String.Name_Value.false;\
                 time.Time.String.Name_Value.false;\
                 preconditions.Preconditions.String.Name_Value.false;\
                 postconditions.Postconditions.String.Name_Value.false;\
                 semantics.Semantics.String.Name_Value.false;\
                 url.URLs:.Url.Comma_1.false;\
                 Exclude:deprecated

Attribute.tags = version.Version:.String.Comma_2.false;\
                 since.Since:.String.Comma_2.true;\
                 see.See Also:.See.Comma_2.false;\
                 alias.Alias.String.Name_Value.false;\
                 stereotype.Stereotype.String.Name_Value.false;\
                 url.URLs:.Url.Comma_1.false;\
                 Exclude:deprecated

Diagram.tags = stereotype.Stereotype.String.Name_Value.false;\
               alias.Alias.String.Name_Value.false;\
               url.URLs:.Url.Comma_1.false;\
               Exclude:shapeType, name

ActivityDiagram.tags = Extends->Diagram

BusinessProcessDiagram.tags = Extends->Diagram

ClassDiagram.tags = Extends->Diagram

ComponentDiagram.tags = Extends->Diagram

DeploymentDiagram.tags = Extends->Diagram

ERDiagram.tags = Extends->Diagram;\
                 rdbServerType.Target server.String.Name_Value.false;\
                 erViewType.View.String.Name_Value.false 


InteractionDiagram.tags = Extends->Diagram
SequenceDiagram.tags = Extends->Diagram
CollaborationDiagram.tags = Extends->Diagram

StateDiagram.tags = Extends->Diagram;\
                    $hyperLink.Target Class:.Reference.Comma_1.false

UseCaseDiagram.tags = Extends->Diagram

Diagram_Node.tags = url.URLs:.Url.Comma_1.false;\
                    Exclude:shapeType,name

Object.tags = stereotype.Stereotype.String.Name_Value.false;\
              persistence.Persistence.String.Name_Value.false;\
              concurrent.Is concurrent.Boolean.Name.false;\
              active.Is active.Boolean.Name.false;\
              multipleInstance.Has multiple instances.Boolean.Name.false;\
              state.State.String.Name_Value.false;\
              Extends->Diagram_Node

Object.excludedLinks = CollaborationLink

SwimLane.tags = Extends->Diagram_Node
Activity.tags = Extends->Diagram_Node
Decision.tags = Extends->Diagram_Node
SignalSending.tags = Extends->Diagram_Node
SignalReceipt.tags = Extends->Diagram_Node
Subsystem.tags = Extends->Diagram_Node
State.tags = Extends->Diagram_Node
StartState.tags = Extends->Diagram_Node
EndState.tags = Extends->Diagram_Node
History.tags = Extends->Diagram_Node
SyncBar.tags = Extends->Diagram_Node

Activation.tags = Extends->Diagram_Node;\
                  Exclude:activationMessage

Interface.tags = stereotype.Stereotype.String.Name_Value.false;\
                 Extends->Diagram_Node

Component.tags = stereotype.Stereotype.String.Name_Value.false;\
                 type.Type.String.Name_Value.false;\
                 Extends->Diagram_Node;\
                 Exclude: instanceForm

Node.tags = stereotype.Stereotype.String.Name_Value.false;\
            type.Type.String.Name_Value.false;\
            Extends->Diagram_Node

Note.tags = Extends->Diagram_Node

Subsystem.tags = Extends->Diagram_Node

Actor.tags = stereotype.Stereotype.String.Name_Value.false;\
             Extends->Diagram_Node

UseCase.tags = stereotype.Stereotype.String.Name_Value.false;\
               rank.Rank.String.Name_Value.false;\
               preconditions.Preconditions.String.Name_Value.false;\
               normalFlow.Normal Flow.String.Name_Value.false;\
               alternateFlow.Alternate Flow.String.Name_Value.false;\
               postconditions.Postconditions.String.Name_Value.false;\
               abstract.Is abstract.Boolean.Name.false;\
               Extends->Diagram_Node

BusinessWorker.tags = stereotype.Stereotype.String.Name_Value.false;\
                      Extends->Diagram_Node

BusinessEntity.tags = Extends->Diagram_Node

SystemBoundary.tags = Extends->Diagram_Node

erEntity.tags = rdbPhysicalName.Physical Name.String.Name_Value.false;\
                rdbPhysicalPrimaryKeyName.Primary Key Name.String.Name_Value.false;\
                Extends->Diagram_Node;\
                Exclude:manyToManyLink

erAttribute.tags = rdbPhysicalName.Physical Name.String.Name_Value.false;\
                   internalPrimaryKey.Is Primary Key.Boolean.Name.false;\
                   notNull.Not null.Boolean.Name.false;\
                   internalLogicalType.Generic jdbc name of correspondent column type.String.Name_Value.false;\
                   rdbSize.Size part of type information.String.Name_Value.false;\
                   rdbDigits.Precision part of type information.String.Name_Value.false;\
                   rdbPhysicalType.Server-specific name of correspondent column type.String.Name_Value.false;\
                   referencedAttribute.Referenced Attribute.Reference.Name_Value.false;\
                   foreignLink.Foreign Link.Reference.Name_Value.false;\
                   Extends->Diagram_Node;\
                   Exclude:internalName


DeferredEvent.tags = eventArguments.Event Arguments.String.Name_Value.false;\
                     condition.Condition.String.Name_Value.false;\
                     Exclude:shapeType,name

InternalTransition.tags = eventArguments.Event Arguments.String.Name_Value.false;\
                          condition.Condition.String.Name_Value.false;\
                          action.Action.String.Name_Value.false;\
                          sendClause.Send time.String.Name_Value.false;\
                          url.URLs:.Url.Comma_1.false;\
                          Exclude:shapeType,name

ExtensionPoint.tags = url.URLs:.Url.Comma_1.false;\
                      Exclude:shapeType,name

Link.tags = Exclude:shapeType, name

AssociationLink.tags = label.Label.String.Name_Value.false;\
                       associationAsClass.Association Class.String.Name_Value.false;\
                       clientRole.Client Role.String.Name_Value.false;\
                       clientCardinality.Client Cardinality.String.Name_Value.false;\
                       clientQualifier.Client Qualifier.String.Name_Value.false;\
                       supplierRole.Supplier Role.String.Name_Value.false;\
                       supplierCardinality.Supplier Cardinality.String.Name_Value.false;\
                       supplierQualifier.Supplier Qualifier.String.Name_Value.false;\
                       directed.Is directed.Boolean.Name.false;\
                       link.Type.String.Name_Value.false;\
                       Extends->Link

AssociatesLink.tags = label.Label.String.Name_Value.false;\
                      clientRole.Client Role.String.Name_Value.false;\
                      clientCardinality.Client Cardinality.String.Name_Value.false;\
                      supplierRole.Supplier Role.String.Name_Value.false;\
                      supplierCardinality.Supplier Cardinality.String.Name_Value.false;\
                      Extends->Link

AggregatesLink.tags = label.Label.String.Name_Value.false;\
                      supplierCardinality.Supplier Cardinality.String.Name_Value.false;\
                      Extends->Link

CommunicatesLink.tags = label.Label.String.Name_Value.false;\
                        clientRole.Client Role.String.Name_Value.false;\
                        clientCardinality.Client Cardinality.String.Name_Value.false;\
                        supplierRole.Supplier Role.String.Name_Value.false;\
                        supplierCardinality.Supplier Cardinality.String.Name_Value.false;\
                        Extends->Link

ExtendsLink.tags = label.Label.String.Name_Value.false;\
                   Extends->Link

IncludesLink.tags = label.Label.String.Name_Value.false;\
                    Extends->Link

TransitionLink.tags = event.Event.String.Name_Value.false;\
                      eventArguments.Event Arguments.String.Name_Value.false;\
                      condition.Condition.String.Name_Value.false;\
                      action.Action.String.Name_Value.false;\
                      sendClause.Send clause.String.Name_Value.false;\
                      sendTime.Send time.String.Name_Value.false;\
                      receiveTime.Receive time.String.Name_Value.false;\
                      constraint.Constraint.String.Name_Value.false;\
                      Extends->Link

DependencyLink.tags = label.Label.String.Name_Value.false;\
                      stereotype.Stereotype.String.Name_Value.false;\
                      clientRole.Client Role.String.Name_Value.false;\
                      supplierRole.Supplier Role.String.Name_Value.false;\
                      Extends->Link

SupportsLink.tags = label.Label.String.Name_Value.false;\
                    Extends->Link

SubscribesLink.tags = label.Label.String.Name_Value.false;\
                      condition.Condition.String.Name_Value.false;\
                      Extends->Link

MessageLink.tags = label.Name.String.Name_Value.false;\
                   sequenceNumber.Number.String.Name_Value.false;\
                   operation.Operation.Reference.Name_Value.false;\
                   arguments.Arguments.String.Name_Value.false;\
                   return.Return.String.Name_Value.false;\
                   condition.Condition.String.Name_Value.false;\
                   iteration.Iteration.String.Name_Value.false;\
                   creationMessage.Is creation message.Boolean.Name.false;\
                   destructionMessage.Is destruction message.Boolean.Name.false;\
                   controlFlowType.Synchronization.String.Name_Value.false;\
                   nonAtomicDelivery.non-atomic delivery.Boolean.Name.false;\
                   sendTime.Send time.String.Name_Value.false;\
                   receiveTime.Receive time.String.Name_Value.false;\
                   constraint.Constraint.String.Name_Value.false;\
                   showReturnArrow.return arrow.Boolean.Name.false;\
                   Exclude:processingDuration, sendingInstant, operationNameAsText;\
                   Extends->Link

ObjectFlowLink.tags = label.Name.String.Name_Value.false;\
                      Extends->Link

erRelationship.tags = $name.Verb phrase.String.Name_Value.false;\
                      rdbPhysicalName.Constraint name.String.Name_Value.false;\
                      internalIdentifying.Identifying.Boolean.Name.false;\
                      rdbOptional.Optional.Boolean.Name.false;\
                      erCardinality.Cardinality.String.Name_Value.false;\
                      Extends->Link;\
                      Exclude:manyToManyLink

erManyToManyRelationship.tags = Extends->Link

Hyperlink.tags = Extends->Link

NoteLink.tags = Extends->Link

;--------------------- LINKS ---------------------------------

Class.excludedLinks = GeneralizationLink;\
                      ImplementationLink;

Object.excludedLinks = CollaborationLink

